# FileArchive Class Reference
[Various accompanying utilities]

Inheritance diagram for FileArchive:
[legend]

List of all members.

## Public Member Functions

| readFile ($fileName)
| __construct ($cmdBinPath=null)
| open ($sourceFile)

## Protected Member Functions

| execStdoutOptions ($options)

## Protected Attributes

| $cmdBinPath = null
| $sourceFile = null

## Detailed Description

Definition at line 15 of file FileArchive.class.php.

## Constructor & Destructor Documentation

FileArchive::__construct | ( | $ | cmdBinPath = `null` | ) |

Reimplemented in InfoZipArchive, and TarArchive.

Definition at line 22 of file FileArchive.class.php.

References $cmdBinPath.

## Member Function Documentation

FileArchive::execStdoutOptions | ( | $ | options | ) | `[protected]`

Definition at line 49 of file FileArchive.class.php.

Referenced by TarArchive::readFile(), and InfoZipArchive::readFile().

FileArchive::open | ( | $ | sourceFile | ) |

Returns:
  FileArchive

Reimplemented in InfoZipArchive.

Definition at line 37 of file FileArchive.class.php.

References $sourceFile.

FileArchive::readFile | ( | $ | fileName | ) | `[abstract]`

Reimplemented in InfoZipArchive, and TarArchive.

## Member Data Documentation

FileArchive::$cmdBinPath = null`[protected]`

Definition at line 17 of file FileArchive.class.php.

Referenced by TarArchive::__construct(), InfoZipArchive::__construct(), and __construct().

FileArchive::$sourceFile = null`[protected]`

Definition at line 18 of file FileArchive.class.php.

Referenced by InfoZipArchive::open(), and open().

The documentation for this class was generated from the following file:

- main/Utils/Archivers/FileArchive.class.php